<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="sopAddModel">
  <refnamediv>
    <refname>sopAddModel</refname>
    <refpurpose>Add a model to a response in a Scilab Optimization Project.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>modelObj = sopAddModel(respObject, modelName)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>modelObj</term>
        <listitem>A SOP object of type "Model": the model.</listitem>
      </varlistentry>
      <varlistentry>
        <term>respObject</term>
        <listitem>A SOP object of type "Variable": the response.</listitem>
      </varlistentry>
      <varlistentry>
        <term>modelName</term>
        <listitem>A character string: the name of the model wrapper.</listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>This function adds a model to a response and returns a pointer to this model so that the user can set the model parameters.</para>
  </refsection>
  <refsection>
    <title>See also</title>
    <simplelist type="inline">
      <member>
         <link linkend="sopSetParameter">sopSetParameter</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
